| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Static Public Member Functions | List of all members
Digikam::CameraMessageBox Class Reference

## Static Public Member Functions
static void | informationList (CameraThumbsCtrl *const ctrl, QWidget *const parent, const QString &caption, const QString &text, const CamItemInfoList &items, const QString &dontShowAgainName=QString())
| Show List of camera items into an informative message box.
static int | warningContinueCancelList (CameraThumbsCtrl *const ctrl, QWidget *const parent, const QString &caption, const QString &text, const CamItemInfoList &items, const QString &dontAskAgainName=QString())
| Show List of camera items to process into a message box and wait user feedback.

## Member Function Documentation

## ◆ warningContinueCancelList()

int Digikam::CameraMessageBox::warningContinueCancelList | ( | CameraThumbsCtrl *const | ctrl,
|  | QWidget *const | parent,
|  | const QString & | caption,
|  | const QString & | text,
|  | const CamItemInfoList & | items,
|  | const QString & | dontAskAgainName = `QString()`
| ) |  |
| static

Return QMessageBox::Yes or QMessageBox::Cancel